package cn.com.countrygarden.bi.main.service.bigholderAduit;

import java.util.List;
import java.util.Map;

import com.github.pagehelper.PageRowBounds;

import cn.com.countrygarden.bi.main.model.bigholderAduit.BigholderAreaAudit;
import cn.com.countrygarden.bi.main.model.bigholderAduit.eunm.AuditStatus;
import cn.com.countrygarden.bi.main.model.twerp.ErpCommunity;
import cn.com.countrygarden.bi.main.model.twerp.hm.TbSysUser;

public interface BigholderAduitService {
	
	public TbSysUser getTbSysUser(String accessToken);
	
//	public List<BigholderAreaAudit> getBigholderAreaAuditBySId(String satisfactionInfoId);
	
	public List<BigholderAreaAudit> getBigholderAreaAuditAll(String yearMonth);
	
	public Boolean getBigholderAreaAduits(String yearMonth,String area,String auditStatus);
	
	public String insertBigholderAduit(String yearMonth,String area,String tbUserCode, boolean b);
	
	public List<Map<String,Object>> getBigholderAreaAduits1(String yearMonth, String area, String auditStatus);
	
	public List<Map<String, Object>> getBigholderAreaAduits2(String yearMonth, String area, String pass);
	
	public List<Map<String, Object>> findCommBaseByOrgCodes(String area, String userCode);

	public void passAduits(String[] ids1,String userCode, String yearMonth, String area, String auditStatus);

	public void stripsNoPassAudit(String[] ids, String rejectedMessage,String userCode, String yearMonth, String area);

	public void updateAllStatus(String yearMonth);

}
